Bug 639904 (CVE-2010-3557)

Summary: CVE-2010-3557 OpenJDK Swing mutable static (6938813)
Product: [Other] Security Response Reporter: Marc Schoenefeld <mschoene>
Component: vulnerabilityAssignee: Red Hat Product Security <security-response-team>
Status: CLOSED ERRATA QA Contact:
Severity: high Docs Contact:
Priority: high    
Version: unspecifiedCC: ahughes, aph, dbhole, jlieskov, jvanek, security-response-team
Target Milestone: ---Keywords: Security
Target Release: ---   
Hardware: All   
OS: Linux   
Whiteboard:
Fixed In Version: Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of: Environment:
Last Closed: 2015-08-24 15:57:13 UTC Type: ---
Regression: --- Mount Type: ---
Documentation: --- CRM:
Verified Versions: Category: ---
oVirt Team: --- RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: --- Target Upstream Version:
Embargoed:
Bug Depends On: 639951, 639952, 639953, 639954, 642515, 642517, 643336, 643337, 643338, 643355, 643356, 643357, 662638, 662639, 662640, 668997, 668999, 669000    
Bug Blocks: 712887    

Comment 2 Jan Lieskovsky 2010-10-13 15:25:25 UTC
Flaws in the Swing library could allow an untrusted application to modify the
behavior and state of certain JDK classes. (CVE-2010-3557) 

The CVSSv2 scored upstream is
cvss2=6.8/AV:N/AC:M/Au:N/C:P/I:P/A:P

Reference: 
http://www.oracle.com/technetwork/topics/security/javacpuoct2010-176258.html

Comment 3 errata-xmlrpc 2010-10-13 16:23:56 UTC
This issue has been addressed in following products:

  Red Hat Enterprise Linux 5

Via RHSA-2010:0768 https://rhn.redhat.com/errata/RHSA-2010-0768.html

Comment 4 errata-xmlrpc 2010-10-14 13:36:37 UTC
This issue has been addressed in following products:

  Extras for RHEL 4
  Extras for Red Hat Enterprise Linux 5

Via RHSA-2010:0770 https://rhn.redhat.com/errata/RHSA-2010-0770.html

Comment 8 errata-xmlrpc 2010-10-20 17:15:19 UTC
This issue has been addressed in following products:

  Extras for RHEL 3
  Extras for RHEL 4
  Extras for Red Hat Enterprise Linux 5

Via RHSA-2010:0786 https://rhn.redhat.com/errata/RHSA-2010-0786.html

Comment 9 errata-xmlrpc 2010-11-10 18:49:44 UTC
This issue has been addressed in following products:

  Red Hat Enterprise Linux 6

Via RHSA-2010:0865 https://rhn.redhat.com/errata/RHSA-2010-0865.html

Comment 11 errata-xmlrpc 2010-12-15 22:44:06 UTC
This issue has been addressed in following products:

  RHEL 4 for SAP
  RHEL 5 for SAP
  RHEL 6 for SAP

Via RHSA-2010:0986 https://rhn.redhat.com/errata/RHSA-2010-0986.html

Comment 12 errata-xmlrpc 2010-12-15 23:45:41 UTC
This issue has been addressed in following products:

  Extras for RHEL 4
  Extras for Red Hat Enterprise Linux 5
  Extras for Red Hat Enterprise Linux 6

Via RHSA-2010:0987 https://rhn.redhat.com/errata/RHSA-2010-0987.html

Comment 14 errata-xmlrpc 2011-01-20 16:22:35 UTC
This issue has been addressed in following products:

  Extras for RHEL 4
  Extras for Red Hat Enterprise Linux 5
  Extras for Red Hat Enterprise Linux 6

Via RHSA-2011:0169 https://rhn.redhat.com/errata/RHSA-2011-0169.html

Comment 15 errata-xmlrpc 2011-06-16 19:22:20 UTC
This issue has been addressed in following products:

  Red Hat Network Satellite Server v 5.4

Via RHSA-2011:0880 https://rhn.redhat.com/errata/RHSA-2011-0880.html